
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_AREA')
CREATE TABLE T_FMM_AREA
(
	  FID            BIGINT         DEFAULT 0     NOT NULL,          
	  FNUMBER        NVARCHAR(30)   DEFAULT ' '   NOT NULL, 	
	  FAREAPROPERTY  BIGINT         DEFAULT 0     NOT NULL, 	
	  FSTATUS        NVARCHAR(1)    DEFAULT ' '   NOT NULL, 	
	  FCREATORID     BIGINT         DEFAULT 0     NOT NULL,   	
	  FMODIFIERID    BIGINT         DEFAULT 0     NOT NULL,  
	  FENABLE        NVARCHAR(1)    DEFAULT ' '   NOT NULL, 
	  FCREATETIME    DATETIME ,                
	  FMODIFYTIME    DATETIME ,                  
	  FMASTERID      BIGINT         DEFAULT 0     NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_AREA_L')
CREATE TABLE T_FMM_AREA_L
(
	  FPKID         NVARCHAR(255)   DEFAULT ' '   NOT NULL,       
	  FID           BIGINT          DEFAULT 0     NOT NULL,          
	  FLOCALEID     NVARCHAR(255)   DEFAULT ' '   NOT NULL,         
	  FNAME         NVARCHAR(50)    DEFAULT ' '   NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_AREAPROPERTY')
CREATE TABLE T_FMM_AREAPROPERTY
(
	  FID           BIGINT          DEFAULT 0     NOT NULL,         
	  FNUMBER       NVARCHAR(30)    DEFAULT ' '   NOT NULL, 	
	  FSTATUS       NVARCHAR(1)     DEFAULT ' '   NOT NULL, 	
	  FCREATORID    BIGINT          DEFAULT 0     NOT NULL,   	
	  FMODIFIERID   BIGINT          DEFAULT 0     NOT NULL,  	
	  FENABLE       NVARCHAR(1)     DEFAULT ' '   NOT NULL, 	
	  FCREATETIME   DATETIME ,                  	
	  FMODIFYTIME   DATETIME ,                
	  FMASTERID     BIGINT          DEFAULT 0     NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_AREAPROPERTY_L')
CREATE TABLE T_FMM_AREAPROPERTY_L
(
	  FPKID        NVARCHAR(255)   DEFAULT ' '   NOT NULL,          	
	  FID          BIGINT          DEFAULT 0     NOT NULL,          	
	  FLOCALEID    NVARCHAR(255)   DEFAULT ' '   NOT NULL,          	
	  FNAME        NVARCHAR(50)    DEFAULT ' '   NOT NULL
);




